Subject: Re: New Dental Rates
From: "Michael B" <[email-masked]>
To: "Labor Law" <[email-masked]>
Date: Mon, 17 Nov 2014 12:46:00 -0500

I know.  It is a really annoying that there are nothing itemized.  They could be charging us for anything.  They should reimburse us for that extra billing since we canceled Maggie's.  That's ridiculous!  Almost scandalous!  We would've complained sooner had we known.
Thank you,
Michael B
LLPS

From: Labor Law 
Sent: Monday, November 17, 2014 12:25 PM
To: Michael B 
Subject: Re: New Dental Rates

I'm not sure why Maggie is still on here.  She cancelled June of 2013.  It makes me really mad because they never send an invoice with an itemized list of the insured people like PHP does.  This seems so shady!  We've been paying for Maggie for a year and a half after she cancelled!

On Mon, Nov 17, 2014 at 10:53 AM, Labor Law <[email-masked]> wrote:

  Okay I'll check with him.

  On Mon, Nov 17, 2014 at 10:49 AM, Michael B <[email-masked]> wrote:

    Well the invoice isn't detailed out.  It shows the quantity of each policy but not who it is for.  My thought is that Ted can find something.  
    Thank you,
    Michael B
    LLPS

    From: Labor Law 
    Sent: Monday, November 17, 2014 10:41 AM
    To: Michael B 
    Subject: Re: New Dental Rates

    Okay, if worse comes to worse I think Ted can look it up.  Maybe I do have something, I can check.  But as far as I know I don't have any invoices here.

    On Mon, Nov 17, 2014 at 10:39 AM, Michael B <[email-masked]> wrote:

      I am having her look.  I will let you know if we need anything further.
      Thank you,
      Michael B
      LLPS

      From: Labor Law 
      Sent: Monday, November 17, 2014 10:36 AM
      To: Michael B 
      Subject: Re: New Dental Rates

      Yes, I believe it is January 2015 for the new rates.
      I don't know who has it.  In fact I asked Ted on Friday and he didn't know off hand either.  Ha.

      Amber should have a paper invoice there somewhere that shows who has it.

      On Mon, Nov 17, 2014 at 10:34 AM, Michael B <[email-masked]> wrote:

        Looks like this goes into effect in January.  Can you send me over a list of the people on this and which coverage they have?  No rush...
        Thank you,
        Michael B
        LLPS

        From: Labor Law 
        Sent: Friday, November 14, 2014 1:22 PM
        To: Michael B 
        Subject: Re: New Dental Rates

        Yes!  Can you believe it??

        On Fri, Nov 14, 2014 at 1:06 PM, Michael B <[email-masked]> wrote:

          Hello Angela.
          So they went down?  Can you tell me who has it so that I can get it adjusted in the payroll?  Mucho grande latte!  (see, I am multi-linguistic).  
          Thank you,
          Michael B
          LLPS

          From: Labor Law 
          Sent: Friday, November 14, 2014 12:53 PM
          To: Mike 
          Subject: New Dental Rates

          Here are the new dental rates effective December.